#!/bin/bash
# ======================================================================
#
# Generate markdown docs for selected php classes
#
# ----------------------------------------------------------------------
# 2024-10-16  v0.1  <axel.hahn@unibe.ch>  initial version
# ======================================================================

# ----------------------------------------------------------------------
# CONFIG
# ----------------------------------------------------------------------

cd "$( dirname $0)/.."
APPDIR=$(pwd)
DOCDIR=$APPDIR/docs/90_PHP-classes

# works on axels dev env only ... this class is not published yet
cd /home/axel/data/opensource/php-class/class-phpdoc || exit

# list of files to generate a class documentation
Classfiles="
    classes/emailcatcher.class.php

"

# ----------------------------------------------------------------------
# FUNCTIONS
# ----------------------------------------------------------------------

# generate a doc file for a single class file
# global DOCDIR  path for doc page
# param  string  filename of class file
function docgen(){
    local myfile=$1
    outfile=$DOCDIR/$( basename "$myfile" ).md

    echo "----- $myfile"
    echo "      $outfile"
    ./parse-class.php --out md "$APPDIR/$myfile" > "$outfile"
    echo
}

# ----------------------------------------------------------------------
# MAIN
# ----------------------------------------------------------------------


# ./parse-class.php --out md "$APPDIR/public_html/server/classes/appmonitor-server.class.php"; exit 

# generate all docs
for myfile in $Classfiles
do
    docgen "$myfile"
done

echo "Done"

# ----------------------------------------------------------------------
